{ lib, buildRustCrate, buildRustCrateHelpers }:
with buildRustCrateHelpers;
let inherit (lib.lists) fold;
    inherit (lib.attrsets) recursiveUpdate;
in
rec {

# adler32-1.0.3

  crates.adler32."1.0.3" = deps: { features?(features_.adler32."1.0.3" deps {}) }: buildRustCrate {
    crateName = "adler32";
    version = "1.0.3";
    authors = [ "Remi Rampin <remirampin@gmail.com>" ];
    sha256 = "1z3mvjgw02mbqk98kizzibrca01d5wfkpazsrp3vkkv3i56pn6fb";
  };
  features_.adler32."1.0.3" = deps: f: updateFeatures f (rec {
    adler32."1.0.3".default = (f.adler32."1.0.3".default or true);
  }) [];


# end
# base64-0.10.1

  crates.base64."0.10.1" = deps: { features?(features_.base64."0.10.1" deps {}) }: buildRustCrate {
    crateName = "base64";
    version = "0.10.1";
    authors = [ "Alice Maz <alice@alicemaz.com>" "Marshall Pierce <marshall@mpierce.org>" ];
    sha256 = "1zz3jq619hahla1f70ra38818b5n8cp4iilij81i90jq6z7hlfhg";
    dependencies = mapFeatures features ([
      (crates."byteorder"."${deps."base64"."0.10.1"."byteorder"}" deps)
    ]);
  };
  features_.base64."0.10.1" = deps: f: updateFeatures f (rec {
    base64."0.10.1".default = (f.base64."0.10.1".default or true);
    byteorder."${deps.base64."0.10.1".byteorder}".default = true;
  }) [
    (features_.byteorder."${deps."base64"."0.10.1"."byteorder"}" deps)
  ];


# end
# block-buffer-0.7.0

  crates.block_buffer."0.7.0" = deps: { features?(features_.block_buffer."0.7.0" deps {}) }: buildRustCrate {
    crateName = "block-buffer";
    version = "0.7.0";
    authors = [ "RustCrypto Developers" ];
    sha256 = "06m0nbam681zjqsy4j2k3jnvjpwhhgrg2rplzwcnkglbjqf125f9";
    dependencies = mapFeatures features ([
      (crates."block_padding"."${deps."block_buffer"."0.7.0"."block_padding"}" deps)
      (crates."byte_tools"."${deps."block_buffer"."0.7.0"."byte_tools"}" deps)
      (crates."byteorder"."${deps."block_buffer"."0.7.0"."byteorder"}" deps)
      (crates."generic_array"."${deps."block_buffer"."0.7.0"."generic_array"}" deps)
    ]);
  };
  features_.block_buffer."0.7.0" = deps: f: updateFeatures f (rec {
    block_buffer."0.7.0".default = (f.block_buffer."0.7.0".default or true);
    block_padding."${deps.block_buffer."0.7.0".block_padding}".default = true;
    byte_tools."${deps.block_buffer."0.7.0".byte_tools}".default = true;
    byteorder."${deps.block_buffer."0.7.0".byteorder}".default = (f.byteorder."${deps.block_buffer."0.7.0".byteorder}".default or false);
    generic_array."${deps.block_buffer."0.7.0".generic_array}".default = true;
  }) [
    (features_.block_padding."${deps."block_buffer"."0.7.0"."block_padding"}" deps)
    (features_.byte_tools."${deps."block_buffer"."0.7.0"."byte_tools"}" deps)
    (features_.byteorder."${deps."block_buffer"."0.7.0"."byteorder"}" deps)
    (features_.generic_array."${deps."block_buffer"."0.7.0"."generic_array"}" deps)
  ];


# end
# block-padding-0.1.3

  crates.block_padding."0.1.3" = deps: { features?(features_.block_padding."0.1.3" deps {}) }: buildRustCrate {
    crateName = "block-padding";
    version = "0.1.3";
    authors = [ "RustCrypto Developers" ];
    sha256 = "0215kqxwgs5bzrpykg86wz3ix77lnci666b724dxb0iln91ch2ag";
    dependencies = mapFeatures features ([
      (crates."byte_tools"."${deps."block_padding"."0.1.3"."byte_tools"}" deps)
    ]);
  };
  features_.block_padding."0.1.3" = deps: f: updateFeatures f (rec {
    block_padding."0.1.3".default = (f.block_padding."0.1.3".default or true);
    byte_tools."${deps.block_padding."0.1.3".byte_tools}".default = true;
  }) [
    (features_.byte_tools."${deps."block_padding"."0.1.3"."byte_tools"}" deps)
  ];


# end
# byte-tools-0.3.1

  crates.byte_tools."0.3.1" = deps: { features?(features_.byte_tools."0.3.1" deps {}) }: buildRustCrate {
    crateName = "byte-tools";
    version = "0.3.1";
    authors = [ "RustCrypto Developers" ];
    sha256 = "01hfp59bxq74glhfmhvm9wma2migq2kfmvcvqq5pssk5k52g8ja0";
  };
  features_.byte_tools."0.3.1" = deps: f: updateFeatures f (rec {
    byte_tools."0.3.1".default = (f.byte_tools."0.3.1".default or true);
  }) [];


# end
# byteorder-1.3.1

  crates.byteorder."1.3.1" = deps: { features?(features_.byteorder."1.3.1" deps {}) }: buildRustCrate {
    crateName = "byteorder";
    version = "1.3.1";
    authors = [ "Andrew Gallant <jamslam@gmail.com>" ];
    sha256 = "1dd46l7fvmxfq90kh6ip1ghsxzzcdybac8f0mh2jivsdv9vy8k4w";
    build = "build.rs";
    features = mkFeatures (features."byteorder"."1.3.1" or {});
  };
  features_.byteorder."1.3.1" = deps: f: updateFeatures f (rec {
    byteorder = fold recursiveUpdate {} [
      { "1.3.1".default = (f.byteorder."1.3.1".default or true); }
      { "1.3.1".std =
        (f.byteorder."1.3.1".std or false) ||
        (f.byteorder."1.3.1".default or false) ||
        (byteorder."1.3.1"."default" or false); }
    ];
  }) [];


# end
# bzip2-0.3.3

  crates.bzip2."0.3.3" = deps: { features?(features_.bzip2."0.3.3" deps {}) }: buildRustCrate {
    crateName = "bzip2";
    version = "0.3.3";
    authors = [ "Alex Crichton <alex@alexcrichton.com>" ];
    sha256 = "1jfrxq7ddqy89cdlgl0m00ljvifp8j9njhqjim1xpq3xy8gichh5";
    dependencies = mapFeatures features ([
      (crates."bzip2_sys"."${deps."bzip2"."0.3.3"."bzip2_sys"}" deps)
      (crates."libc"."${deps."bzip2"."0.3.3"."libc"}" deps)
    ]);
    features = mkFeatures (features."bzip2"."0.3.3" or {});
  };
  features_.bzip2."0.3.3" = deps: f: updateFeatures f (rec {
    bzip2 = fold recursiveUpdate {} [
      { "0.3.3".default = (f.bzip2."0.3.3".default or true); }
      { "0.3.3".futures =
        (f.bzip2."0.3.3".futures or false) ||
        (f.bzip2."0.3.3".tokio or false) ||
        (bzip2."0.3.3"."tokio" or false); }
      { "0.3.3".tokio-io =
        (f.bzip2."0.3.3".tokio-io or false) ||
        (f.bzip2."0.3.3".tokio or false) ||
        (bzip2."0.3.3"."tokio" or false); }
    ];
    bzip2_sys."${deps.bzip2."0.3.3".bzip2_sys}".default = true;
    libc."${deps.bzip2."0.3.3".libc}".default = true;
  }) [
    (features_.bzip2_sys."${deps."bzip2"."0.3.3"."bzip2_sys"}" deps)
    (features_.libc."${deps."bzip2"."0.3.3"."libc"}" deps)
  ];


# end
# bzip2-sys-0.1.7

  crates.bzip2_sys."0.1.7" = deps: { features?(features_.bzip2_sys."0.1.7" deps {}) }: buildRustCrate {
    crateName = "bzip2-sys";
    version = "0.1.7";
    authors = [ "Alex Crichton <alex@alexcrichton.com>" ];
    sha256 = "1wflg3zpnldpnxhfv57sbfl6h67wqq4r3f7idgcs4f6d4h09dfdb";
    libPath = "lib.rs";
    libName = "bzip2_sys";
    build = "build.rs";
    dependencies = mapFeatures features ([
      (crates."libc"."${deps."bzip2_sys"."0.1.7"."libc"}" deps)
    ]);

    buildDependencies = mapFeatures features ([
      (crates."cc"."${deps."bzip2_sys"."0.1.7"."cc"}" deps)
    ]);
  };
  features_.bzip2_sys."0.1.7" = deps: f: updateFeatures f (rec {
    bzip2_sys."0.1.7".default = (f.bzip2_sys."0.1.7".default or true);
    cc."${deps.bzip2_sys."0.1.7".cc}".default = true;
    libc."${deps.bzip2_sys."0.1.7".libc}".default = true;
  }) [
    (features_.libc."${deps."bzip2_sys"."0.1.7"."libc"}" deps)
    (features_.cc."${deps."bzip2_sys"."0.1.7"."cc"}" deps)
  ];


# end
# cc-1.0.29

  crates.cc."1.0.29" = deps: { features?(features_.cc."1.0.29" deps {}) }: buildRustCrate {
    crateName = "cc";
    version = "1.0.29";
    authors = [ "Alex Crichton <alex@alexcrichton.com>" ];
    sha256 = "0s5wnrdhk7lpyr1c8g8lfvf8dimcf2mhz1f4x2qc8ips85sxlrmq";
    dependencies = mapFeatures features ([
]);
    features = mkFeatures (features."cc"."1.0.29" or {});
  };
  features_.cc."1.0.29" = deps: f: updateFeatures f (rec {
    cc = fold recursiveUpdate {} [
      { "1.0.29".default = (f.cc."1.0.29".default or true); }
      { "1.0.29".rayon =
        (f.cc."1.0.29".rayon or false) ||
        (f.cc."1.0.29".parallel or false) ||
        (cc."1.0.29"."parallel" or false); }
    ];
  }) [];


# end
# cfg-if-0.1.6

  crates.cfg_if."0.1.6" = deps: { features?(features_.cfg_if."0.1.6" deps {}) }: buildRustCrate {
    crateName = "cfg-if";
    version = "0.1.6";
    authors = [ "Alex Crichton <alex@alexcrichton.com>" ];
    sha256 = "11qrix06wagkplyk908i3423ps9m9np6c4vbcq81s9fyl244xv3n";
  };
  features_.cfg_if."0.1.6" = deps: f: updateFeatures f (rec {
    cfg_if."0.1.6".default = (f.cfg_if."0.1.6".default or true);
  }) [];


# end
# crc32fast-1.1.2

  crates.crc32fast."1.1.2" = deps: { features?(features_.crc32fast."1.1.2" deps {}) }: buildRustCrate {
    crateName = "crc32fast";
    version = "1.1.2";
    authors = [ "Sam Rijs <srijs@airpost.net>" "Alex Crichton <alex@alexcrichton.com>" ];
    sha256 = "19hjgifwvsgcvhm7f6bqkp4sfijnx3ddiv8szdfwjn3sjn4lysd6";
    dependencies = mapFeatures features ([
      (crates."cfg_if"."${deps."crc32fast"."1.1.2"."cfg_if"}" deps)
    ]);
  };
  features_.crc32fast."1.1.2" = deps: f: updateFeatures f (rec {
    cfg_if."${deps.crc32fast."1.1.2".cfg_if}".default = true;
    crc32fast."1.1.2".default = (f.crc32fast."1.1.2".default or true);
  }) [
    (features_.cfg_if."${deps."crc32fast"."1.1.2"."cfg_if"}" deps)
  ];


# end
# ctor-0.1.7

  crates.ctor."0.1.7" = deps: { features?(features_.ctor."0.1.7" deps {}) }: buildRustCrate {
    crateName = "ctor";
    version = "0.1.7";
    authors = [ "Matt Mastracci <matthew@mastracci.com>" ];
    edition = "2018";
    sha256 = "0wgxs6vwjzw69yjmw5l0h7whyg6f006sz8hm1b3z132fka6p5paz";
    procMacro = true;
    dependencies = mapFeatures features ([
      (crates."quote"."${deps."ctor"."0.1.7"."quote"}" deps)
      (crates."syn"."${deps."ctor"."0.1.7"."syn"}" deps)
    ]);
  };
  features_.ctor."0.1.7" = deps: f: updateFeatures f (rec {
    ctor."0.1.7".default = (f.ctor."0.1.7".default or true);
    quote."${deps.ctor."0.1.7".quote}".default = true;
    syn = fold recursiveUpdate {} [
      { "${deps.ctor."0.1.7".syn}"."fold" = true; }
      { "${deps.ctor."0.1.7".syn}"."full" = true; }
      { "${deps.ctor."0.1.7".syn}"."parsing" = true; }
      { "${deps.ctor."0.1.7".syn}"."printing" = true; }
      { "${deps.ctor."0.1.7".syn}"."proc-macro" = true; }
      { "${deps.ctor."0.1.7".syn}".default = (f.syn."${deps.ctor."0.1.7".syn}".default or false); }
    ];
  }) [
    (features_.quote."${deps."ctor"."0.1.7"."quote"}" deps)
    (features_.syn."${deps."ctor"."0.1.7"."syn"}" deps)
  ];


# end
# digest-0.8.0

  crates.digest."0.8.0" = deps: { features?(features_.digest."0.8.0" deps {}) }: buildRustCrate {
    crateName = "digest";
    version = "0.8.0";
    authors = [ "RustCrypto Developers" ];
    sha256 = "1bsddd8vdmncmprks8b392yccf132wjwzrcy5wdy1kh05qm23il8";
    dependencies = mapFeatures features ([
      (crates."generic_array"."${deps."digest"."0.8.0"."generic_array"}" deps)
    ]);
    features = mkFeatures (features."digest"."0.8.0" or {});
  };
  features_.digest."0.8.0" = deps: f: updateFeatures f (rec {
    digest = fold recursiveUpdate {} [
      { "0.8.0".blobby =
        (f.digest."0.8.0".blobby or false) ||
        (f.digest."0.8.0".dev or false) ||
        (digest."0.8.0"."dev" or false); }
      { "0.8.0".default = (f.digest."0.8.0".default or true); }
    ];
    generic_array."${deps.digest."0.8.0".generic_array}".default = true;
  }) [
    (features_.generic_array."${deps."digest"."0.8.0"."generic_array"}" deps)
  ];


# end
# fake-simd-0.1.2

  crates.fake_simd."0.1.2" = deps: { features?(features_.fake_simd."0.1.2" deps {}) }: buildRustCrate {
    crateName = "fake-simd";
    version = "0.1.2";
    authors = [ "The Rust-Crypto Project Developers" ];
    sha256 = "1a0f1j66nkwfy17s06vm2bn9vh8vy8llcijfhh9m10p58v08661a";
  };
  features_.fake_simd."0.1.2" = deps: f: updateFeatures f (rec {
    fake_simd."0.1.2".default = (f.fake_simd."0.1.2".default or true);
  }) [];


# end
# filetime-0.2.4

  crates.filetime."0.2.4" = deps: { features?(features_.filetime."0.2.4" deps {}) }: buildRustCrate {
    crateName = "filetime";
    version = "0.2.4";
    authors = [ "Alex Crichton <alex@alexcrichton.com>" ];
    sha256 = "1lsc0qjihr8y56rlzdcldzr0nbljm8qqi691msgwhy6wrkawwx5d";
    dependencies = mapFeatures features ([
      (crates."cfg_if"."${deps."filetime"."0.2.4"."cfg_if"}" deps)
    ])
      ++ (if kernel == "redox" then mapFeatures features ([
      (crates."redox_syscall"."${deps."filetime"."0.2.4"."redox_syscall"}" deps)
    ]) else [])
      ++ (if (kernel == "linux" || kernel == "darwin") then mapFeatures features ([
      (crates."libc"."${deps."filetime"."0.2.4"."libc"}" deps)
    ]) else []);
  };
  features_.filetime."0.2.4" = deps: f: updateFeatures f (rec {
    cfg_if."${deps.filetime."0.2.4".cfg_if}".default = true;
    filetime."0.2.4".default = (f.filetime."0.2.4".default or true);
    libc."${deps.filetime."0.2.4".libc}".default = true;
    redox_syscall."${deps.filetime."0.2.4".redox_syscall}".default = true;
  }) [
    (features_.cfg_if."${deps."filetime"."0.2.4"."cfg_if"}" deps)
    (features_.redox_syscall."${deps."filetime"."0.2.4"."redox_syscall"}" deps)
    (features_.libc."${deps."filetime"."0.2.4"."libc"}" deps)
  ];


# end
# generic-array-0.12.0

  crates.generic_array."0.12.0" = deps: { features?(features_.generic_array."0.12.0" deps {}) }: buildRustCrate {
    crateName = "generic-array";
    version = "0.12.0";
    authors = [ "Bartłomiej Kamiński <fizyk20@gmail.com>" "Aaron Trent <novacrazy@gmail.com>" ];
    sha256 = "12fjpkx1ilqlmynis45g0gh69zkad6jnsc589j64z3idk18lvv91";
    libName = "generic_array";
    dependencies = mapFeatures features ([
      (crates."typenum"."${deps."generic_array"."0.12.0"."typenum"}" deps)
    ]);
  };
  features_.generic_array."0.12.0" = deps: f: updateFeatures f (rec {
    generic_array."0.12.0".default = (f.generic_array."0.12.0".default or true);
    typenum."${deps.generic_array."0.12.0".typenum}".default = true;
  }) [
    (features_.typenum."${deps."generic_array"."0.12.0"."typenum"}" deps)
  ];


# end
# http_req-0.4.4

  crates.http_req."0.4.4" = deps: { features?(features_.http_req."0.4.4" deps {}) }: buildRustCrate {
    crateName = "http_req";
    version = "0.4.4";
    authors = [ "jajamesjay <kubaj55@poczta.fm>" ];
    edition = "2018";
    sha256 = "0aagkhr2whsgbbw7zfs8bnfnniwjg1vwh62q1y5hh01hq8h0q3db";
    dependencies = mapFeatures features ([
    ]
      ++ (if features.http_req."0.4.4".rustls or false then [ (crates.rustls."${deps."http_req"."0.4.4".rustls}" deps) ] else [])
      ++ (if features.http_req."0.4.4".webpki or false then [ (crates.webpki."${deps."http_req"."0.4.4".webpki}" deps) ] else [])
      ++ (if features.http_req."0.4.4".webpki-roots or false then [ (crates.webpki_roots."${deps."http_req"."0.4.4".webpki_roots}" deps) ] else []));
    features = mkFeatures (features."http_req"."0.4.4" or {});
  };
  features_.http_req."0.4.4" = deps: f: updateFeatures f (rec {
    http_req = fold recursiveUpdate {} [
      { "0.4.4".default = (f.http_req."0.4.4".default or true); }
      { "0.4.4".native-tls =
        (f.http_req."0.4.4".native-tls or false) ||
        (f.http_req."0.4.4".default or false) ||
        (http_req."0.4.4"."default" or false); }
      { "0.4.4".rustls =
        (f.http_req."0.4.4".rustls or false) ||
        (f.http_req."0.4.4".rust-tls or false) ||
        (http_req."0.4.4"."rust-tls" or false); }
      { "0.4.4".webpki =
        (f.http_req."0.4.4".webpki or false) ||
        (f.http_req."0.4.4".rust-tls or false) ||
        (http_req."0.4.4"."rust-tls" or false); }
      { "0.4.4".webpki-roots =
        (f.http_req."0.4.4".webpki-roots or false) ||
        (f.http_req."0.4.4".rust-tls or false) ||
        (http_req."0.4.4"."rust-tls" or false); }
    ];
    rustls."${deps.http_req."0.4.4".rustls}".default = true;
    webpki."${deps.http_req."0.4.4".webpki}".default = true;
    webpki_roots."${deps.http_req."0.4.4".webpki_roots}".default = true;
  }) [
    (features_.rustls."${deps."http_req"."0.4.4"."rustls"}" deps)
    (features_.webpki."${deps."http_req"."0.4.4"."webpki"}" deps)
    (features_.webpki_roots."${deps."http_req"."0.4.4"."webpki_roots"}" deps)
  ];


# end
# itoa-0.4.3

  crates.itoa."0.4.3" = deps: { features?(features_.itoa."0.4.3" deps {}) }: buildRustCrate {
    crateName = "itoa";
    version = "0.4.3";
    authors = [ "David Tolnay <dtolnay@gmail.com>" ];
    sha256 = "0zadimmdgvili3gdwxqg7ljv3r4wcdg1kkdfp9nl15vnm23vrhy1";
    features = mkFeatures (features."itoa"."0.4.3" or {});
  };
  features_.itoa."0.4.3" = deps: f: updateFeatures f (rec {
    itoa = fold recursiveUpdate {} [
      { "0.4.3".default = (f.itoa."0.4.3".default or true); }
      { "0.4.3".std =
        (f.itoa."0.4.3".std or false) ||
        (f.itoa."0.4.3".default or false) ||
        (itoa."0.4.3"."default" or false); }
    ];
  }) [];


# end
# lazy_static-1.2.0

  crates.lazy_static."1.2.0" = deps: { features?(features_.lazy_static."1.2.0" deps {}) }: buildRustCrate {
    crateName = "lazy_static";
    version = "1.2.0";
    authors = [ "Marvin Löbel <loebel.marvin@gmail.com>" ];
    sha256 = "07p3b30k2akyr6xw08ggd5qiz5nw3vd3agggj360fcc1njz7d0ss";
    dependencies = mapFeatures features ([
]);
    features = mkFeatures (features."lazy_static"."1.2.0" or {});
  };
  features_.lazy_static."1.2.0" = deps: f: updateFeatures f (rec {
    lazy_static = fold recursiveUpdate {} [
      { "1.2.0".default = (f.lazy_static."1.2.0".default or true); }
      { "1.2.0".spin =
        (f.lazy_static."1.2.0".spin or false) ||
        (f.lazy_static."1.2.0".spin_no_std or false) ||
        (lazy_static."1.2.0"."spin_no_std" or false); }
    ];
  }) [];


# end
# libc-0.2.48

  crates.libc."0.2.48" = deps: { features?(features_.libc."0.2.48" deps {}) }: buildRustCrate {
    crateName = "libc";
    version = "0.2.48";
    authors = [ "The Rust Project Developers" ];
    sha256 = "1jnjd4g9ibs02gd7z81amj7p1xkari0ciwg9if285fxnml4lmwxs";
    build = "build.rs";
    dependencies = mapFeatures features ([
]);
    features = mkFeatures (features."libc"."0.2.48" or {});
  };
  features_.libc."0.2.48" = deps: f: updateFeatures f (rec {
    libc = fold recursiveUpdate {} [
      { "0.2.48".align =
        (f.libc."0.2.48".align or false) ||
        (f.libc."0.2.48".rustc-dep-of-std or false) ||
        (libc."0.2.48"."rustc-dep-of-std" or false); }
      { "0.2.48".default = (f.libc."0.2.48".default or true); }
      { "0.2.48".rustc-std-workspace-core =
        (f.libc."0.2.48".rustc-std-workspace-core or false) ||
        (f.libc."0.2.48".rustc-dep-of-std or false) ||
        (libc."0.2.48"."rustc-dep-of-std" or false); }
      { "0.2.48".use_std =
        (f.libc."0.2.48".use_std or false) ||
        (f.libc."0.2.48".default or false) ||
        (libc."0.2.48"."default" or false); }
    ];
  }) [];


# end
# libflate-0.1.20

  crates.libflate."0.1.20" = deps: { features?(features_.libflate."0.1.20" deps {}) }: buildRustCrate {
    crateName = "libflate";
    version = "0.1.20";
    authors = [ "Takeru Ohta <phjgt308@gmail.com>" ];
    sha256 = "1kdf5rx6fa2rdaaadj83zp3kxkca6f5pvlngxxwfz1f7lviib7x9";
    dependencies = mapFeatures features ([
      (crates."adler32"."${deps."libflate"."0.1.20"."adler32"}" deps)
      (crates."byteorder"."${deps."libflate"."0.1.20"."byteorder"}" deps)
      (crates."crc32fast"."${deps."libflate"."0.1.20"."crc32fast"}" deps)
    ]);
  };
  features_.libflate."0.1.20" = deps: f: updateFeatures f (rec {
    adler32."${deps.libflate."0.1.20".adler32}".default = true;
    byteorder."${deps.libflate."0.1.20".byteorder}".default = true;
    crc32fast."${deps.libflate."0.1.20".crc32fast}".default = true;
    libflate."0.1.20".default = (f.libflate."0.1.20".default or true);
  }) [
    (features_.adler32."${deps."libflate"."0.1.20"."adler32"}" deps)
    (features_.byteorder."${deps."libflate"."0.1.20"."byteorder"}" deps)
    (features_.crc32fast."${deps."libflate"."0.1.20"."crc32fast"}" deps)
  ];


# end
# log-0.4.6

  crates.log."0.4.6" = deps: { features?(features_.log."0.4.6" deps {}) }: buildRustCrate {
    crateName = "log";
    version = "0.4.6";
    authors = [ "The Rust Project Developers" ];
    sha256 = "1nd8dl9mvc9vd6fks5d4gsxaz990xi6rzlb8ymllshmwi153vngr";
    dependencies = mapFeatures features ([
      (crates."cfg_if"."${deps."log"."0.4.6"."cfg_if"}" deps)
    ]);
    features = mkFeatures (features."log"."0.4.6" or {});
  };
  features_.log."0.4.6" = deps: f: updateFeatures f (rec {
    cfg_if."${deps.log."0.4.6".cfg_if}".default = true;
    log."0.4.6".default = (f.log."0.4.6".default or true);
  }) [
    (features_.cfg_if."${deps."log"."0.4.6"."cfg_if"}" deps)
  ];


# end
# num-traits-0.1.43

  crates.num_traits."0.1.43" = deps: { features?(features_.num_traits."0.1.43" deps {}) }: buildRustCrate {
    crateName = "num-traits";
    version = "0.1.43";
    authors = [ "The Rust Project Developers" ];
    sha256 = "1zdzx78vrcg3f39w94pqjs1mwxl1phyv7843hwgwkzggwcxhhf6s";
    dependencies = mapFeatures features ([
      (crates."num_traits"."${deps."num_traits"."0.1.43"."num_traits"}" deps)
    ]);
  };
  features_.num_traits."0.1.43" = deps: f: updateFeatures f (rec {
    num_traits = fold recursiveUpdate {} [
      { "${deps.num_traits."0.1.43".num_traits}".default = true; }
      { "0.1.43".default = (f.num_traits."0.1.43".default or true); }
    ];
  }) [
    (features_.num_traits."${deps."num_traits"."0.1.43"."num_traits"}" deps)
  ];


# end
# num-traits-0.2.6

  crates.num_traits."0.2.6" = deps: { features?(features_.num_traits."0.2.6" deps {}) }: buildRustCrate {
    crateName = "num-traits";
    version = "0.2.6";
    authors = [ "The Rust Project Developers" ];
    sha256 = "1d20sil9n0wgznd1nycm3yjfj1mzyl41ambb7by1apxlyiil1azk";
    build = "build.rs";
    features = mkFeatures (features."num_traits"."0.2.6" or {});
  };
  features_.num_traits."0.2.6" = deps: f: updateFeatures f (rec {
    num_traits = fold recursiveUpdate {} [
      { "0.2.6".default = (f.num_traits."0.2.6".default or true); }
      { "0.2.6".std =
        (f.num_traits."0.2.6".std or false) ||
        (f.num_traits."0.2.6".default or false) ||
        (num_traits."0.2.6"."default" or false); }
    ];
  }) [];


# end
# opaque-debug-0.2.2

  crates.opaque_debug."0.2.2" = deps: { features?(features_.opaque_debug."0.2.2" deps {}) }: buildRustCrate {
    crateName = "opaque-debug";
    version = "0.2.2";
    authors = [ "RustCrypto Developers" ];
    sha256 = "0dkzsnxpg50gz3gjcdzc4j6g4s0jphllg6q7jqmsy9nd9glidy74";
  };
  features_.opaque_debug."0.2.2" = deps: f: updateFeatures f (rec {
    opaque_debug."0.2.2".default = (f.opaque_debug."0.2.2".default or true);
  }) [];


# end
# pkg-config-0.3.14

  crates.pkg_config."0.3.14" = deps: { features?(features_.pkg_config."0.3.14" deps {}) }: buildRustCrate {
    crateName = "pkg-config";
    version = "0.3.14";
    authors = [ "Alex Crichton <alex@alexcrichton.com>" ];
    sha256 = "0207fsarrm412j0dh87lfcas72n8mxar7q3mgflsbsrqnb140sv6";
  };
  features_.pkg_config."0.3.14" = deps: f: updateFeatures f (rec {
    pkg_config."0.3.14".default = (f.pkg_config."0.3.14".default or true);
  }) [];


# end
# podio-0.1.6

  crates.podio."0.1.6" = deps: { features?(features_.podio."0.1.6" deps {}) }: buildRustCrate {
    crateName = "podio";
    version = "0.1.6";
    authors = [ "Mathijs van de Nes <git@mathijs.vd-nes.nl>" ];
    sha256 = "1dkhy2cv6wk4nrk0ak2s2w67bqbbxv9ymsxmwrkhz9fs84rx6mz4";
  };
  features_.podio."0.1.6" = deps: f: updateFeatures f (rec {
    podio."0.1.6".default = (f.podio."0.1.6".default or true);
  }) [];


# end
# proc-macro2-0.4.27

  crates.proc_macro2."0.4.27" = deps: { features?(features_.proc_macro2."0.4.27" deps {}) }: buildRustCrate {
    crateName = "proc-macro2";
    version = "0.4.27";
    authors = [ "Alex Crichton <alex@alexcrichton.com>" ];
    sha256 = "1cp4c40p3hwn2sz72ssqa62gp5n8w4gbamdqvvadzp5l7gxnq95i";
    build = "build.rs";
    dependencies = mapFeatures features ([
      (crates."unicode_xid"."${deps."proc_macro2"."0.4.27"."unicode_xid"}" deps)
    ]);
    features = mkFeatures (features."proc_macro2"."0.4.27" or {});
  };
  features_.proc_macro2."0.4.27" = deps: f: updateFeatures f (rec {
    proc_macro2 = fold recursiveUpdate {} [
      { "0.4.27".default = (f.proc_macro2."0.4.27".default or true); }
      { "0.4.27".proc-macro =
        (f.proc_macro2."0.4.27".proc-macro or false) ||
        (f.proc_macro2."0.4.27".default or false) ||
        (proc_macro2."0.4.27"."default" or false); }
    ];
    unicode_xid."${deps.proc_macro2."0.4.27".unicode_xid}".default = true;
  }) [
    (features_.unicode_xid."${deps."proc_macro2"."0.4.27"."unicode_xid"}" deps)
  ];


# end
# quote-0.6.11

  crates.quote."0.6.11" = deps: { features?(features_.quote."0.6.11" deps {}) }: buildRustCrate {
    crateName = "quote";
    version = "0.6.11";
    authors = [ "David Tolnay <dtolnay@gmail.com>" ];
    sha256 = "0agska77z58cypcq4knayzwx7r7n6m756z1cz9cp2z4sv0b846ga";
    dependencies = mapFeatures features ([
      (crates."proc_macro2"."${deps."quote"."0.6.11"."proc_macro2"}" deps)
    ]);
    features = mkFeatures (features."quote"."0.6.11" or {});
  };
  features_.quote."0.6.11" = deps: f: updateFeatures f (rec {
    proc_macro2 = fold recursiveUpdate {} [
      { "${deps.quote."0.6.11".proc_macro2}"."proc-macro" =
        (f.proc_macro2."${deps.quote."0.6.11".proc_macro2}"."proc-macro" or false) ||
        (quote."0.6.11"."proc-macro" or false) ||
        (f."quote"."0.6.11"."proc-macro" or false); }
      { "${deps.quote."0.6.11".proc_macro2}".default = (f.proc_macro2."${deps.quote."0.6.11".proc_macro2}".default or false); }
    ];
    quote = fold recursiveUpdate {} [
      { "0.6.11".default = (f.quote."0.6.11".default or true); }
      { "0.6.11".proc-macro =
        (f.quote."0.6.11".proc-macro or false) ||
        (f.quote."0.6.11".default or false) ||
        (quote."0.6.11"."default" or false); }
    ];
  }) [
    (features_.proc_macro2."${deps."quote"."0.6.11"."proc_macro2"}" deps)
  ];


# end
# redox_syscall-0.1.51

  crates.redox_syscall."0.1.51" = deps: { features?(features_.redox_syscall."0.1.51" deps {}) }: buildRustCrate {
    crateName = "redox_syscall";
    version = "0.1.51";
    authors = [ "Jeremy Soller <jackpot51@gmail.com>" ];
    sha256 = "1a61cv7yydx64vpyvzr0z0hwzdvy4gcvcnfc6k70zpkngj5sz3ip";
    libName = "syscall";
  };
  features_.redox_syscall."0.1.51" = deps: f: updateFeatures f (rec {
    redox_syscall."0.1.51".default = (f.redox_syscall."0.1.51".default or true);
  }) [];


# end
# ring-0.14.6

  crates.ring."0.14.6" = deps: { features?(features_.ring."0.14.6" deps {}) }: buildRustCrate {
    crateName = "ring";
    version = "0.14.6";
    authors = [ "Brian Smith <brian@briansmith.org>" ];
    edition = "2018";
    sha256 = "1x0xpr9bsqmxclqp9ai1a6xv58pihgpi6ri00gkfgj5cwnq1injp";
    build = "build.rs";
    dependencies = mapFeatures features ([
      (crates."libc"."${deps."ring"."0.14.6"."libc"}" deps)
      (crates."untrusted"."${deps."ring"."0.14.6"."untrusted"}" deps)
    ])
      ++ (if kernel == "android" || kernel == "linux" then mapFeatures features ([
]) else [])
      ++ (if kernel == "redox" || (kernel == "linux" || kernel == "darwin") && !(kernel == "darwin" || kernel == "ios") then mapFeatures features ([
      (crates."lazy_static"."${deps."ring"."0.14.6"."lazy_static"}" deps)
    ]) else [])
      ++ (if !(kernel == "ios") then mapFeatures features ([
      (crates."spin"."${deps."ring"."0.14.6"."spin"}" deps)
    ]) else [])
      ++ (if kernel == "windows" then mapFeatures features ([
      (crates."winapi"."${deps."ring"."0.14.6"."winapi"}" deps)
    ]) else []);

    buildDependencies = mapFeatures features ([
      (crates."cc"."${deps."ring"."0.14.6"."cc"}" deps)
    ]);
    features = mkFeatures (features."ring"."0.14.6" or {});
  };
  features_.ring."0.14.6" = deps: f: updateFeatures f (rec {
    cc."${deps.ring."0.14.6".cc}".default = true;
    lazy_static."${deps.ring."0.14.6".lazy_static}".default = true;
    libc."${deps.ring."0.14.6".libc}".default = true;
    ring = fold recursiveUpdate {} [
      { "0.14.6".default = (f.ring."0.14.6".default or true); }
      { "0.14.6".dev_urandom_fallback =
        (f.ring."0.14.6".dev_urandom_fallback or false) ||
        (f.ring."0.14.6".default or false) ||
        (ring."0.14.6"."default" or false); }
      { "0.14.6".use_heap =
        (f.ring."0.14.6".use_heap or false) ||
        (f.ring."0.14.6".default or false) ||
        (ring."0.14.6"."default" or false); }
    ];
    spin."${deps.ring."0.14.6".spin}".default = true;
    untrusted."${deps.ring."0.14.6".untrusted}".default = true;
    winapi = fold recursiveUpdate {} [
      { "${deps.ring."0.14.6".winapi}"."ntsecapi" = true; }
      { "${deps.ring."0.14.6".winapi}"."wtypesbase" = true; }
      { "${deps.ring."0.14.6".winapi}".default = true; }
    ];
  }) [
    (features_.libc."${deps."ring"."0.14.6"."libc"}" deps)
    (features_.untrusted."${deps."ring"."0.14.6"."untrusted"}" deps)
    (features_.cc."${deps."ring"."0.14.6"."cc"}" deps)
    (features_.lazy_static."${deps."ring"."0.14.6"."lazy_static"}" deps)
    (features_.spin."${deps."ring"."0.14.6"."spin"}" deps)
    (features_.winapi."${deps."ring"."0.14.6"."winapi"}" deps)
  ];


# end
# rmp-0.8.7

  crates.rmp."0.8.7" = deps: { features?(features_.rmp."0.8.7" deps {}) }: buildRustCrate {
    crateName = "rmp";
    version = "0.8.7";
    authors = [ "Evgeny Safronov <division494@gmail.com>" ];
    sha256 = "08r0bgm5ch12mw5940df0vp5ch0jsy1w7apdnl83mxfdk0bzxm5v";
    dependencies = mapFeatures features ([
      (crates."byteorder"."${deps."rmp"."0.8.7"."byteorder"}" deps)
      (crates."num_traits"."${deps."rmp"."0.8.7"."num_traits"}" deps)
    ]);
  };
  features_.rmp."0.8.7" = deps: f: updateFeatures f (rec {
    byteorder."${deps.rmp."0.8.7".byteorder}".default = true;
    num_traits."${deps.rmp."0.8.7".num_traits}".default = true;
    rmp."0.8.7".default = (f.rmp."0.8.7".default or true);
  }) [
    (features_.byteorder."${deps."rmp"."0.8.7"."byteorder"}" deps)
    (features_.num_traits."${deps."rmp"."0.8.7"."num_traits"}" deps)
  ];


# end
# rmp-serde-0.13.7

  crates.rmp_serde."0.13.7" = deps: { features?(features_.rmp_serde."0.13.7" deps {}) }: buildRustCrate {
    crateName = "rmp-serde";
    version = "0.13.7";
    authors = [ "Evgeny Safronov <division494@gmail.com>" ];
    sha256 = "0dr611w5gjjiivyr2vdaqisq747kjclyy1l793xh0virjw67r6jy";
    dependencies = mapFeatures features ([
      (crates."byteorder"."${deps."rmp_serde"."0.13.7"."byteorder"}" deps)
      (crates."rmp"."${deps."rmp_serde"."0.13.7"."rmp"}" deps)
      (crates."serde"."${deps."rmp_serde"."0.13.7"."serde"}" deps)
    ]);
  };
  features_.rmp_serde."0.13.7" = deps: f: updateFeatures f (rec {
    byteorder."${deps.rmp_serde."0.13.7".byteorder}".default = true;
    rmp."${deps.rmp_serde."0.13.7".rmp}".default = true;
    rmp_serde."0.13.7".default = (f.rmp_serde."0.13.7".default or true);
    serde."${deps.rmp_serde."0.13.7".serde}".default = true;
  }) [
    (features_.byteorder."${deps."rmp_serde"."0.13.7"."byteorder"}" deps)
    (features_.rmp."${deps."rmp_serde"."0.13.7"."rmp"}" deps)
    (features_.serde."${deps."rmp_serde"."0.13.7"."serde"}" deps)
  ];


# end
# rustc-serialize-0.3.24

  crates.rustc_serialize."0.3.24" = deps: { features?(features_.rustc_serialize."0.3.24" deps {}) }: buildRustCrate {
    crateName = "rustc-serialize";
    version = "0.3.24";
    authors = [ "The Rust Project Developers" ];
    sha256 = "0rfk6p66mqkd3g36l0ddlv2rvnp1mp3lrq5frq9zz5cbnz5pmmxn";
  };
  features_.rustc_serialize."0.3.24" = deps: f: updateFeatures f (rec {
    rustc_serialize."0.3.24".default = (f.rustc_serialize."0.3.24".default or true);
  }) [];


# end
# rustls-0.15.1

  crates.rustls."0.15.1" = deps: { features?(features_.rustls."0.15.1" deps {}) }: buildRustCrate {
    crateName = "rustls";
    version = "0.15.1";
    authors = [ "Joseph Birr-Pixton <jpixton@gmail.com>" ];
    edition = "2018";
    sha256 = "133l3lkkrbb0lpnjzym6ijn41wv83gnz8y40kswx9rqv0r9rx6sf";
    dependencies = mapFeatures features ([
      (crates."base64"."${deps."rustls"."0.15.1"."base64"}" deps)
      (crates."ring"."${deps."rustls"."0.15.1"."ring"}" deps)
      (crates."sct"."${deps."rustls"."0.15.1"."sct"}" deps)
      (crates."untrusted"."${deps."rustls"."0.15.1"."untrusted"}" deps)
      (crates."webpki"."${deps."rustls"."0.15.1"."webpki"}" deps)
    ]
      ++ (if features.rustls."0.15.1".log or false then [ (crates.log."${deps."rustls"."0.15.1".log}" deps) ] else []));
    features = mkFeatures (features."rustls"."0.15.1" or {});
  };
  features_.rustls."0.15.1" = deps: f: updateFeatures f (rec {
    base64."${deps.rustls."0.15.1".base64}".default = true;
    log."${deps.rustls."0.15.1".log}".default = true;
    ring."${deps.rustls."0.15.1".ring}".default = true;
    rustls = fold recursiveUpdate {} [
      { "0.15.1".default = (f.rustls."0.15.1".default or true); }
      { "0.15.1".log =
        (f.rustls."0.15.1".log or false) ||
        (f.rustls."0.15.1".logging or false) ||
        (rustls."0.15.1"."logging" or false); }
      { "0.15.1".logging =
        (f.rustls."0.15.1".logging or false) ||
        (f.rustls."0.15.1".default or false) ||
        (rustls."0.15.1"."default" or false); }
    ];
    sct."${deps.rustls."0.15.1".sct}".default = true;
    untrusted."${deps.rustls."0.15.1".untrusted}".default = true;
    webpki."${deps.rustls."0.15.1".webpki}".default = true;
  }) [
    (features_.base64."${deps."rustls"."0.15.1"."base64"}" deps)
    (features_.log."${deps."rustls"."0.15.1"."log"}" deps)
    (features_.ring."${deps."rustls"."0.15.1"."ring"}" deps)
    (features_.sct."${deps."rustls"."0.15.1"."sct"}" deps)
    (features_.untrusted."${deps."rustls"."0.15.1"."untrusted"}" deps)
    (features_.webpki."${deps."rustls"."0.15.1"."webpki"}" deps)
  ];


# end
# ryu-0.2.7

  crates.ryu."0.2.7" = deps: { features?(features_.ryu."0.2.7" deps {}) }: buildRustCrate {
    crateName = "ryu";
    version = "0.2.7";
    authors = [ "David Tolnay <dtolnay@gmail.com>" ];
    sha256 = "0m8szf1m87wfqkwh1f9zp9bn2mb0m9nav028xxnd0hlig90b44bd";
    build = "build.rs";
    dependencies = mapFeatures features ([
]);
    features = mkFeatures (features."ryu"."0.2.7" or {});
  };
  features_.ryu."0.2.7" = deps: f: updateFeatures f (rec {
    ryu."0.2.7".default = (f.ryu."0.2.7".default or true);
  }) [];


# end
# sct-0.5.0

  crates.sct."0.5.0" = deps: { features?(features_.sct."0.5.0" deps {}) }: buildRustCrate {
    crateName = "sct";
    version = "0.5.0";
    authors = [ "Joseph Birr-Pixton <jpixton@gmail.com>" ];
    edition = "2018";
    sha256 = "17y9jyb83q124570vkyir6js9lag353wddc3il6pip3dpimyjnr1";
    dependencies = mapFeatures features ([
      (crates."ring"."${deps."sct"."0.5.0"."ring"}" deps)
      (crates."untrusted"."${deps."sct"."0.5.0"."untrusted"}" deps)
    ]);
  };
  features_.sct."0.5.0" = deps: f: updateFeatures f (rec {
    ring."${deps.sct."0.5.0".ring}".default = true;
    sct."0.5.0".default = (f.sct."0.5.0".default or true);
    untrusted."${deps.sct."0.5.0".untrusted}".default = true;
  }) [
    (features_.ring."${deps."sct"."0.5.0"."ring"}" deps)
    (features_.untrusted."${deps."sct"."0.5.0"."untrusted"}" deps)
  ];


# end
# serde-1.0.88

  crates.serde."1.0.88" = deps: { features?(features_.serde."1.0.88" deps {}) }: buildRustCrate {
    crateName = "serde";
    version = "1.0.88";
    authors = [ "Erick Tryzelaar <erick.tryzelaar@gmail.com>" "David Tolnay <dtolnay@gmail.com>" ];
    sha256 = "0d51jvnznxrb1xq6a44vc2gg0rvgqs25hbca3h38y8982vy6xj1r";
    build = "build.rs";
    dependencies = mapFeatures features ([
]);
    features = mkFeatures (features."serde"."1.0.88" or {});
  };
  features_.serde."1.0.88" = deps: f: updateFeatures f (rec {
    serde = fold recursiveUpdate {} [
      { "1.0.88".default = (f.serde."1.0.88".default or true); }
      { "1.0.88".serde_derive =
        (f.serde."1.0.88".serde_derive or false) ||
        (f.serde."1.0.88".derive or false) ||
        (serde."1.0.88"."derive" or false); }
      { "1.0.88".std =
        (f.serde."1.0.88".std or false) ||
        (f.serde."1.0.88".default or false) ||
        (serde."1.0.88"."default" or false); }
      { "1.0.88".unstable =
        (f.serde."1.0.88".unstable or false) ||
        (f.serde."1.0.88".alloc or false) ||
        (serde."1.0.88"."alloc" or false); }
    ];
  }) [];


# end
# serde_json-1.0.38

  crates.serde_json."1.0.38" = deps: { features?(features_.serde_json."1.0.38" deps {}) }: buildRustCrate {
    crateName = "serde_json";
    version = "1.0.38";
    authors = [ "Erick Tryzelaar <erick.tryzelaar@gmail.com>" "David Tolnay <dtolnay@gmail.com>" ];
    sha256 = "10zhcsk1qh92320fjmgrdd23jf99rr504gp3d5nv9fddy5viq6a1";
    dependencies = mapFeatures features ([
      (crates."itoa"."${deps."serde_json"."1.0.38"."itoa"}" deps)
      (crates."ryu"."${deps."serde_json"."1.0.38"."ryu"}" deps)
      (crates."serde"."${deps."serde_json"."1.0.38"."serde"}" deps)
    ]);
    features = mkFeatures (features."serde_json"."1.0.38" or {});
  };
  features_.serde_json."1.0.38" = deps: f: updateFeatures f (rec {
    itoa."${deps.serde_json."1.0.38".itoa}".default = true;
    ryu."${deps.serde_json."1.0.38".ryu}".default = true;
    serde."${deps.serde_json."1.0.38".serde}".default = true;
    serde_json = fold recursiveUpdate {} [
      { "1.0.38".default = (f.serde_json."1.0.38".default or true); }
      { "1.0.38".indexmap =
        (f.serde_json."1.0.38".indexmap or false) ||
        (f.serde_json."1.0.38".preserve_order or false) ||
        (serde_json."1.0.38"."preserve_order" or false); }
    ];
  }) [
    (features_.itoa."${deps."serde_json"."1.0.38"."itoa"}" deps)
    (features_.ryu."${deps."serde_json"."1.0.38"."ryu"}" deps)
    (features_.serde."${deps."serde_json"."1.0.38"."serde"}" deps)
  ];


# end
# sha2-0.8.0

  crates.sha2."0.8.0" = deps: { features?(features_.sha2."0.8.0" deps {}) }: buildRustCrate {
    crateName = "sha2";
    version = "0.8.0";
    authors = [ "RustCrypto Developers" ];
    sha256 = "0jhg56v7m6mj3jb857np4qvr72146garnabcgdk368fm0csfs1sq";
    dependencies = mapFeatures features ([
      (crates."block_buffer"."${deps."sha2"."0.8.0"."block_buffer"}" deps)
      (crates."digest"."${deps."sha2"."0.8.0"."digest"}" deps)
      (crates."fake_simd"."${deps."sha2"."0.8.0"."fake_simd"}" deps)
      (crates."opaque_debug"."${deps."sha2"."0.8.0"."opaque_debug"}" deps)
    ]);
    features = mkFeatures (features."sha2"."0.8.0" or {});
  };
  features_.sha2."0.8.0" = deps: f: updateFeatures f (rec {
    block_buffer."${deps.sha2."0.8.0".block_buffer}".default = true;
    digest = fold recursiveUpdate {} [
      { "${deps.sha2."0.8.0".digest}"."std" =
        (f.digest."${deps.sha2."0.8.0".digest}"."std" or false) ||
        (sha2."0.8.0"."std" or false) ||
        (f."sha2"."0.8.0"."std" or false); }
      { "${deps.sha2."0.8.0".digest}".default = true; }
    ];
    fake_simd."${deps.sha2."0.8.0".fake_simd}".default = true;
    opaque_debug."${deps.sha2."0.8.0".opaque_debug}".default = true;
    sha2 = fold recursiveUpdate {} [
      { "0.8.0".default = (f.sha2."0.8.0".default or true); }
      { "0.8.0".sha2-asm =
        (f.sha2."0.8.0".sha2-asm or false) ||
        (f.sha2."0.8.0".asm or false) ||
        (sha2."0.8.0"."asm" or false); }
      { "0.8.0".std =
        (f.sha2."0.8.0".std or false) ||
        (f.sha2."0.8.0".default or false) ||
        (sha2."0.8.0"."default" or false); }
    ];
  }) [
    (features_.block_buffer."${deps."sha2"."0.8.0"."block_buffer"}" deps)
    (features_.digest."${deps."sha2"."0.8.0"."digest"}" deps)
    (features_.fake_simd."${deps."sha2"."0.8.0"."fake_simd"}" deps)
    (features_.opaque_debug."${deps."sha2"."0.8.0"."opaque_debug"}" deps)
  ];


# end
# spin-0.5.0

  crates.spin."0.5.0" = deps: { features?(features_.spin."0.5.0" deps {}) }: buildRustCrate {
    crateName = "spin";
    version = "0.5.0";
    authors = [ "Mathijs van de Nes <git@mathijs.vd-nes.nl>" "John Ericson <git@JohnEricson.me>" ];
    sha256 = "1yln8vy2z7nkwn7s7fdzmqrwk77cwmfgcp89kzxm2ljdrf5vccar";
  };
  features_.spin."0.5.0" = deps: f: updateFeatures f (rec {
    spin."0.5.0".default = (f.spin."0.5.0".default or true);
  }) [];


# end
# syn-0.15.29

  crates.syn."0.15.29" = deps: { features?(features_.syn."0.15.29" deps {}) }: buildRustCrate {
    crateName = "syn";
    version = "0.15.29";
    authors = [ "David Tolnay <dtolnay@gmail.com>" ];
    sha256 = "0wrd6awgc6f1iwfn2v9fvwyd2yddgxdjv9s106kvwg1ljbw3fajw";
    dependencies = mapFeatures features ([
      (crates."proc_macro2"."${deps."syn"."0.15.29"."proc_macro2"}" deps)
      (crates."unicode_xid"."${deps."syn"."0.15.29"."unicode_xid"}" deps)
    ]
      ++ (if features.syn."0.15.29".quote or false then [ (crates.quote."${deps."syn"."0.15.29".quote}" deps) ] else []));
    features = mkFeatures (features."syn"."0.15.29" or {});
  };
  features_.syn."0.15.29" = deps: f: updateFeatures f (rec {
    proc_macro2 = fold recursiveUpdate {} [
      { "${deps.syn."0.15.29".proc_macro2}"."proc-macro" =
        (f.proc_macro2."${deps.syn."0.15.29".proc_macro2}"."proc-macro" or false) ||
        (syn."0.15.29"."proc-macro" or false) ||
        (f."syn"."0.15.29"."proc-macro" or false); }
      { "${deps.syn."0.15.29".proc_macro2}".default = (f.proc_macro2."${deps.syn."0.15.29".proc_macro2}".default or false); }
    ];
    quote = fold recursiveUpdate {} [
      { "${deps.syn."0.15.29".quote}"."proc-macro" =
        (f.quote."${deps.syn."0.15.29".quote}"."proc-macro" or false) ||
        (syn."0.15.29"."proc-macro" or false) ||
        (f."syn"."0.15.29"."proc-macro" or false); }
      { "${deps.syn."0.15.29".quote}".default = (f.quote."${deps.syn."0.15.29".quote}".default or false); }
    ];
    syn = fold recursiveUpdate {} [
      { "0.15.29".clone-impls =
        (f.syn."0.15.29".clone-impls or false) ||
        (f.syn."0.15.29".default or false) ||
        (syn."0.15.29"."default" or false); }
      { "0.15.29".default = (f.syn."0.15.29".default or true); }
      { "0.15.29".derive =
        (f.syn."0.15.29".derive or false) ||
        (f.syn."0.15.29".default or false) ||
        (syn."0.15.29"."default" or false); }
      { "0.15.29".parsing =
        (f.syn."0.15.29".parsing or false) ||
        (f.syn."0.15.29".default or false) ||
        (syn."0.15.29"."default" or false); }
      { "0.15.29".printing =
        (f.syn."0.15.29".printing or false) ||
        (f.syn."0.15.29".default or false) ||
        (syn."0.15.29"."default" or false); }
      { "0.15.29".proc-macro =
        (f.syn."0.15.29".proc-macro or false) ||
        (f.syn."0.15.29".default or false) ||
        (syn."0.15.29"."default" or false); }
      { "0.15.29".quote =
        (f.syn."0.15.29".quote or false) ||
        (f.syn."0.15.29".printing or false) ||
        (syn."0.15.29"."printing" or false); }
    ];
    unicode_xid."${deps.syn."0.15.29".unicode_xid}".default = true;
  }) [
    (features_.proc_macro2."${deps."syn"."0.15.29"."proc_macro2"}" deps)
    (features_.quote."${deps."syn"."0.15.29"."quote"}" deps)
    (features_.unicode_xid."${deps."syn"."0.15.29"."unicode_xid"}" deps)
  ];


# end
# tar-0.4.20

  crates.tar."0.4.20" = deps: { features?(features_.tar."0.4.20" deps {}) }: buildRustCrate {
    crateName = "tar";
    version = "0.4.20";
    authors = [ "Alex Crichton <alex@alexcrichton.com>" ];
    sha256 = "1nk51cirksnlq67lqbxh7bmq7kdwkkcys5x169nc5v4k6c53rska";
    dependencies = mapFeatures features ([
      (crates."filetime"."${deps."tar"."0.4.20"."filetime"}" deps)
    ])
      ++ (if kernel == "redox" then mapFeatures features ([
      (crates."redox_syscall"."${deps."tar"."0.4.20"."redox_syscall"}" deps)
    ]) else [])
      ++ (if (kernel == "linux" || kernel == "darwin") then mapFeatures features ([
      (crates."libc"."${deps."tar"."0.4.20"."libc"}" deps)
    ]
      ++ (if features.tar."0.4.20".xattr or false then [ (crates.xattr."${deps."tar"."0.4.20".xattr}" deps) ] else [])) else []);
    features = mkFeatures (features."tar"."0.4.20" or {});
  };
  features_.tar."0.4.20" = deps: f: updateFeatures f (rec {
    filetime."${deps.tar."0.4.20".filetime}".default = true;
    libc."${deps.tar."0.4.20".libc}".default = true;
    redox_syscall."${deps.tar."0.4.20".redox_syscall}".default = true;
    tar = fold recursiveUpdate {} [
      { "0.4.20".default = (f.tar."0.4.20".default or true); }
      { "0.4.20".xattr =
        (f.tar."0.4.20".xattr or false) ||
        (f.tar."0.4.20".default or false) ||
        (tar."0.4.20"."default" or false); }
    ];
    xattr."${deps.tar."0.4.20".xattr}".default = true;
  }) [
    (features_.filetime."${deps."tar"."0.4.20"."filetime"}" deps)
    (features_.redox_syscall."${deps."tar"."0.4.20"."redox_syscall"}" deps)
    (features_.libc."${deps."tar"."0.4.20"."libc"}" deps)
    (features_.xattr."${deps."tar"."0.4.20"."xattr"}" deps)
  ];


# end
# time-0.1.42

  crates.time."0.1.42" = deps: { features?(features_.time."0.1.42" deps {}) }: buildRustCrate {
    crateName = "time";
    version = "0.1.42";
    authors = [ "The Rust Project Developers" ];
    sha256 = "1ny809kmdjwd4b478ipc33dz7q6nq7rxk766x8cnrg6zygcksmmx";
    dependencies = mapFeatures features ([
      (crates."libc"."${deps."time"."0.1.42"."libc"}" deps)
    ])
      ++ (if kernel == "redox" then mapFeatures features ([
      (crates."redox_syscall"."${deps."time"."0.1.42"."redox_syscall"}" deps)
    ]) else [])
      ++ (if kernel == "windows" then mapFeatures features ([
      (crates."winapi"."${deps."time"."0.1.42"."winapi"}" deps)
    ]) else []);
  };
  features_.time."0.1.42" = deps: f: updateFeatures f (rec {
    libc."${deps.time."0.1.42".libc}".default = true;
    redox_syscall."${deps.time."0.1.42".redox_syscall}".default = true;
    time."0.1.42".default = (f.time."0.1.42".default or true);
    winapi = fold recursiveUpdate {} [
      { "${deps.time."0.1.42".winapi}"."minwinbase" = true; }
      { "${deps.time."0.1.42".winapi}"."minwindef" = true; }
      { "${deps.time."0.1.42".winapi}"."ntdef" = true; }
      { "${deps.time."0.1.42".winapi}"."profileapi" = true; }
      { "${deps.time."0.1.42".winapi}"."std" = true; }
      { "${deps.time."0.1.42".winapi}"."sysinfoapi" = true; }
      { "${deps.time."0.1.42".winapi}"."timezoneapi" = true; }
      { "${deps.time."0.1.42".winapi}".default = true; }
    ];
  }) [
    (features_.libc."${deps."time"."0.1.42"."libc"}" deps)
    (features_.redox_syscall."${deps."time"."0.1.42"."redox_syscall"}" deps)
    (features_.winapi."${deps."time"."0.1.42"."winapi"}" deps)
  ];


# end
# typenum-1.10.0

  crates.typenum."1.10.0" = deps: { features?(features_.typenum."1.10.0" deps {}) }: buildRustCrate {
    crateName = "typenum";
    version = "1.10.0";
    authors = [ "Paho Lurie-Gregg <paho@paholg.com>" "Andre Bogus <bogusandre@gmail.com>" ];
    sha256 = "1v2cgg0mlzkg5prs7swysckgk2ay6bpda8m83c2sn3z77dcsx3bc";
    build = "build/main.rs";
    features = mkFeatures (features."typenum"."1.10.0" or {});
  };
  features_.typenum."1.10.0" = deps: f: updateFeatures f (rec {
    typenum."1.10.0".default = (f.typenum."1.10.0".default or true);
  }) [];


# end
# unicode-xid-0.1.0

  crates.unicode_xid."0.1.0" = deps: { features?(features_.unicode_xid."0.1.0" deps {}) }: buildRustCrate {
    crateName = "unicode-xid";
    version = "0.1.0";
    authors = [ "erick.tryzelaar <erick.tryzelaar@gmail.com>" "kwantam <kwantam@gmail.com>" ];
    sha256 = "05wdmwlfzxhq3nhsxn6wx4q8dhxzzfb9szsz6wiw092m1rjj01zj";
    features = mkFeatures (features."unicode_xid"."0.1.0" or {});
  };
  features_.unicode_xid."0.1.0" = deps: f: updateFeatures f (rec {
    unicode_xid."0.1.0".default = (f.unicode_xid."0.1.0".default or true);
  }) [];


# end
# untrusted-0.6.2

  crates.untrusted."0.6.2" = deps: { features?(features_.untrusted."0.6.2" deps {}) }: buildRustCrate {
    crateName = "untrusted";
    version = "0.6.2";
    authors = [ "Brian Smith <brian@briansmith.org>" ];
    sha256 = "189ir1h2xgb290bhjchwczr9ygia1f3ipsydf6pwnnb95lb8fihg";
    libPath = "src/untrusted.rs";
  };
  features_.untrusted."0.6.2" = deps: f: updateFeatures f (rec {
    untrusted."0.6.2".default = (f.untrusted."0.6.2".default or true);
  }) [];


# end
# vcpkg-0.2.6

  crates.vcpkg."0.2.6" = deps: { features?(features_.vcpkg."0.2.6" deps {}) }: buildRustCrate {
    crateName = "vcpkg";
    version = "0.2.6";
    authors = [ "Jim McGrath <jimmc2@gmail.com>" ];
    sha256 = "1ig6jqpzzl1z9vk4qywgpfr4hfbd8ny8frqsgm3r449wkc4n1i5x";
  };
  features_.vcpkg."0.2.6" = deps: f: updateFeatures f (rec {
    vcpkg."0.2.6".default = (f.vcpkg."0.2.6".default or true);
  }) [];


# end
# webpki-0.19.1

  crates.webpki."0.19.1" = deps: { features?(features_.webpki."0.19.1" deps {}) }: buildRustCrate {
    crateName = "webpki";
    version = "0.19.1";
    authors = [ "Brian Smith <brian@briansmith.org>" ];
    sha256 = "0wcalza4w141gc76nf7lc6pgz22in6scpgqb5v80lmxray1sx06b";
    libPath = "src/webpki.rs";
    dependencies = mapFeatures features ([
      (crates."ring"."${deps."webpki"."0.19.1"."ring"}" deps)
      (crates."untrusted"."${deps."webpki"."0.19.1"."untrusted"}" deps)
    ]);
    features = mkFeatures (features."webpki"."0.19.1" or {});
  };
  features_.webpki."0.19.1" = deps: f: updateFeatures f (rec {
    ring."${deps.webpki."0.19.1".ring}".default = true;
    untrusted."${deps.webpki."0.19.1".untrusted}".default = true;
    webpki = fold recursiveUpdate {} [
      { "0.19.1".default = (f.webpki."0.19.1".default or true); }
      { "0.19.1".std =
        (f.webpki."0.19.1".std or false) ||
        (f.webpki."0.19.1".default or false) ||
        (webpki."0.19.1"."default" or false) ||
        (f.webpki."0.19.1".trust_anchor_util or false) ||
        (webpki."0.19.1"."trust_anchor_util" or false); }
      { "0.19.1".trust_anchor_util =
        (f.webpki."0.19.1".trust_anchor_util or false) ||
        (f.webpki."0.19.1".default or false) ||
        (webpki."0.19.1"."default" or false); }
    ];
  }) [
    (features_.ring."${deps."webpki"."0.19.1"."ring"}" deps)
    (features_.untrusted."${deps."webpki"."0.19.1"."untrusted"}" deps)
  ];


# end
# webpki-roots-0.16.0

  crates.webpki_roots."0.16.0" = deps: { features?(features_.webpki_roots."0.16.0" deps {}) }: buildRustCrate {
    crateName = "webpki-roots";
    version = "0.16.0";
    authors = [ "Joseph Birr-Pixton <jpixton@gmail.com>" ];
    edition = "2018";
    sha256 = "06qixlbrzzs636h48kv2r018r0hi4cfqkcxnw27vr9vlmpx4cjiw";
    dependencies = mapFeatures features ([
      (crates."untrusted"."${deps."webpki_roots"."0.16.0"."untrusted"}" deps)
      (crates."webpki"."${deps."webpki_roots"."0.16.0"."webpki"}" deps)
    ]);
  };
  features_.webpki_roots."0.16.0" = deps: f: updateFeatures f (rec {
    untrusted."${deps.webpki_roots."0.16.0".untrusted}".default = true;
    webpki."${deps.webpki_roots."0.16.0".webpki}".default = true;
    webpki_roots."0.16.0".default = (f.webpki_roots."0.16.0".default or true);
  }) [
    (features_.untrusted."${deps."webpki_roots"."0.16.0"."untrusted"}" deps)
    (features_.webpki."${deps."webpki_roots"."0.16.0"."webpki"}" deps)
  ];


# end
# winapi-0.3.6

  crates.winapi."0.3.6" = deps: { features?(features_.winapi."0.3.6" deps {}) }: buildRustCrate {
    crateName = "winapi";
    version = "0.3.6";
    authors = [ "Peter Atashian <retep998@gmail.com>" ];
    sha256 = "1d9jfp4cjd82sr1q4dgdlrkvm33zhhav9d7ihr0nivqbncr059m4";
    build = "build.rs";
    dependencies = (if kernel == "i686-pc-windows-gnu" then mapFeatures features ([
      (crates."winapi_i686_pc_windows_gnu"."${deps."winapi"."0.3.6"."winapi_i686_pc_windows_gnu"}" deps)
    ]) else [])
      ++ (if kernel == "x86_64-pc-windows-gnu" then mapFeatures features ([
      (crates."winapi_x86_64_pc_windows_gnu"."${deps."winapi"."0.3.6"."winapi_x86_64_pc_windows_gnu"}" deps)
    ]) else []);
    features = mkFeatures (features."winapi"."0.3.6" or {});
  };
  features_.winapi."0.3.6" = deps: f: updateFeatures f (rec {
    winapi."0.3.6".default = (f.winapi."0.3.6".default or true);
    winapi_i686_pc_windows_gnu."${deps.winapi."0.3.6".winapi_i686_pc_windows_gnu}".default = true;
    winapi_x86_64_pc_windows_gnu."${deps.winapi."0.3.6".winapi_x86_64_pc_windows_gnu}".default = true;
  }) [
    (features_.winapi_i686_pc_windows_gnu."${deps."winapi"."0.3.6"."winapi_i686_pc_windows_gnu"}" deps)
    (features_.winapi_x86_64_pc_windows_gnu."${deps."winapi"."0.3.6"."winapi_x86_64_pc_windows_gnu"}" deps)
  ];


# end
# winapi-i686-pc-windows-gnu-0.4.0

  crates.winapi_i686_pc_windows_gnu."0.4.0" = deps: { features?(features_.winapi_i686_pc_windows_gnu."0.4.0" deps {}) }: buildRustCrate {
    crateName = "winapi-i686-pc-windows-gnu";
    version = "0.4.0";
    authors = [ "Peter Atashian <retep998@gmail.com>" ];
    sha256 = "05ihkij18r4gamjpxj4gra24514can762imjzlmak5wlzidplzrp";
    build = "build.rs";
  };
  features_.winapi_i686_pc_windows_gnu."0.4.0" = deps: f: updateFeatures f (rec {
    winapi_i686_pc_windows_gnu."0.4.0".default = (f.winapi_i686_pc_windows_gnu."0.4.0".default or true);
  }) [];


# end
# winapi-x86_64-pc-windows-gnu-0.4.0

  crates.winapi_x86_64_pc_windows_gnu."0.4.0" = deps: { features?(features_.winapi_x86_64_pc_windows_gnu."0.4.0" deps {}) }: buildRustCrate {
    crateName = "winapi-x86_64-pc-windows-gnu";
    version = "0.4.0";
    authors = [ "Peter Atashian <retep998@gmail.com>" ];
    sha256 = "0n1ylmlsb8yg1v583i4xy0qmqg42275flvbc51hdqjjfjcl9vlbj";
    build = "build.rs";
  };
  features_.winapi_x86_64_pc_windows_gnu."0.4.0" = deps: f: updateFeatures f (rec {
    winapi_x86_64_pc_windows_gnu."0.4.0".default = (f.winapi_x86_64_pc_windows_gnu."0.4.0".default or true);
  }) [];


# end
# xattr-0.2.2

  crates.xattr."0.2.2" = deps: { features?(features_.xattr."0.2.2" deps {}) }: buildRustCrate {
    crateName = "xattr";
    version = "0.2.2";
    authors = [ "Steven Allen <steven@stebalien.com>" ];
    sha256 = "01zqnn6bhrd58hvpj3y1nqnbmlswrvsdapn2zbi7h1bh5lspiyk5";
    dependencies = mapFeatures features ([
      (crates."libc"."${deps."xattr"."0.2.2"."libc"}" deps)
    ]);
    features = mkFeatures (features."xattr"."0.2.2" or {});
  };
  features_.xattr."0.2.2" = deps: f: updateFeatures f (rec {
    libc."${deps.xattr."0.2.2".libc}".default = true;
    xattr = fold recursiveUpdate {} [
      { "0.2.2".default = (f.xattr."0.2.2".default or true); }
      { "0.2.2".unsupported =
        (f.xattr."0.2.2".unsupported or false) ||
        (f.xattr."0.2.2".default or false) ||
        (xattr."0.2.2"."default" or false); }
    ];
  }) [
    (features_.libc."${deps."xattr"."0.2.2"."libc"}" deps)
  ];


# end
# zip-0.5.0

  crates.zip."0.5.0" = deps: { features?(features_.zip."0.5.0" deps {}) }: buildRustCrate {
    crateName = "zip";
    version = "0.5.0";
    authors = [ "Mathijs van de Nes <git@mathijs.vd-nes.nl>" ];
    sha256 = "0ishqlk2pdc22s7pkhcfw4dxy8n9bm4d4jvj0knij8awx6fm7ldg";
    dependencies = mapFeatures features ([
      (crates."crc32fast"."${deps."zip"."0.5.0"."crc32fast"}" deps)
      (crates."podio"."${deps."zip"."0.5.0"."podio"}" deps)
    ]
      ++ (if features.zip."0.5.0".bzip2 or false then [ (crates.bzip2."${deps."zip"."0.5.0".bzip2}" deps) ] else [])
      ++ (if features.zip."0.5.0".libflate or false then [ (crates.libflate."${deps."zip"."0.5.0".libflate}" deps) ] else [])
      ++ (if features.zip."0.5.0".time or false then [ (crates.time."${deps."zip"."0.5.0".time}" deps) ] else []));
    features = mkFeatures (features."zip"."0.5.0" or {});
  };
  features_.zip."0.5.0" = deps: f: updateFeatures f (rec {
    bzip2."${deps.zip."0.5.0".bzip2}".default = true;
    crc32fast."${deps.zip."0.5.0".crc32fast}".default = true;
    libflate."${deps.zip."0.5.0".libflate}".default = true;
    podio."${deps.zip."0.5.0".podio}".default = true;
    time."${deps.zip."0.5.0".time}".default = true;
    zip = fold recursiveUpdate {} [
      { "0.5.0".bzip2 =
        (f.zip."0.5.0".bzip2 or false) ||
        (f.zip."0.5.0".default or false) ||
        (zip."0.5.0"."default" or false); }
      { "0.5.0".default = (f.zip."0.5.0".default or true); }
      { "0.5.0".deflate =
        (f.zip."0.5.0".deflate or false) ||
        (f.zip."0.5.0".default or false) ||
        (zip."0.5.0"."default" or false); }
      { "0.5.0".libflate =
        (f.zip."0.5.0".libflate or false) ||
        (f.zip."0.5.0".deflate or false) ||
        (zip."0.5.0"."deflate" or false); }
      { "0.5.0".time =
        (f.zip."0.5.0".time or false) ||
        (f.zip."0.5.0".default or false) ||
        (zip."0.5.0"."default" or false); }
    ];
  }) [
    (features_.bzip2."${deps."zip"."0.5.0"."bzip2"}" deps)
    (features_.crc32fast."${deps."zip"."0.5.0"."crc32fast"}" deps)
    (features_.libflate."${deps."zip"."0.5.0"."libflate"}" deps)
    (features_.podio."${deps."zip"."0.5.0"."podio"}" deps)
    (features_.time."${deps."zip"."0.5.0"."time"}" deps)
  ];


# end
}
